Subject: bug#32790: 27.0.50; point jumps unexpectedly after delete-window

From: martin rudalics <[email-masked]>
Date: Tue, 27 Nov 2018 09:08:20 +0100

> But wait, maybe still 'switch-to-buffer-pop-to' would be a better name?
 > I think now that maybe in future it might require an object like you
 > already noted recently.

I think what Eli says is right - it should have a proper name.

 > It could accept a list of buffer names that are allowed to be displayed
 > with 'pop-to-buffer-same-window' like is accepted in the customizable
 > variable 'same-window-buffer-names', or a list of regexps like in
 > 'same-window-regexps'.

Those variables were a continuous annoyance because applications (and
Emacs core) added their buffers to those lists at will.  I'd rather
avoid such mischief.

martin